=== debian/changelog ===
node-mapnik (0.5.8-2) unstable; urgency=low

  * Add licensing info for embedded agg copy

 -- David Paleino <dapal@debian.org>  Mon, 24 Oct 2011 21:27:42 +0200

node-mapnik (0.5.8-1) unstable; urgency=low

  * Initial release (Closes: #646370)

 -- David Paleino <dapal@debian.org>  Sun, 23 Oct 2011 18:27:44 +0200
