=== debian/control ===
Source: node-mapnik
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
 , libmapnik2-dev
Standards-Version: 3.9.2
Homepage: http://search.npmjs.org/#/mapnik
Vcs-Git: git://git.debian.org/collab-maint/node-mapnik.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-mapnik.git;a=summary

Package: node-mapnik
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
 , node-generic-pool
Recommends:
 node-srs
 , node-zipfile
 , node-carto
Description: bindings to the Mapnik tile rendering library for NodeJS
 node-mapnik provides bindings to the Mapnik tile rendering library for NodeJS.
