=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=mapnik \
	http://registry.npmjs.org/mapnik/-/mapnik-(\d+.*)\.tgz
