=== debian/changelog ===
node-mapnik (0.6.7-3) unstable; urgency=low

  [ Jérémy Lal ]
  * debian/patches:
    + 03-rename_node_to_nodejs.patch: change shebangs to
      #!/usr/bin/nodejs. (Closes: #686899).
  * Depends on nodejs (>= 0.6.19~dfsg1-3~).

 -- David Paleino <dapal@debian.org>  Sun, 23 Sep 2012 11:58:14 +0200

node-mapnik (0.6.7-2) unstable; urgency=low

  * Fixed code that required package.json

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 00:50:18 +0200

node-mapnik (0.6.7-1) unstable; urgency=low

  * New upstream version
    - now compatible with NodeJS 0.6 (Closes: #664926)
  * Port code to work with mapnik 2.0.x
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 11:40:12 +0200
