=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , dh-buildinfo
  , nodejs-dev
  , libmapnik2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://search.npmjs.org/#/mapnik
 Vcs-Git: git://git.debian.org/collab-maint/node-mapnik.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-mapnik.git;a=summary
@@ -18,7 +18,7 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6.19~dfsg1-3~)
  , node-generic-pool
 Recommends:
  node-srs
