=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

	for i in mapnik-inspect mapnik-render; do \
		mv $(CURDIR)/debian/node-mapnik/usr/bin/$$i.js $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
		sed -i "s@#!node@#!/usr/bin/node@g" $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
	done

override_dh_auto_configure:
	node-waf configure

override_dh_auto_build:
	node-waf build

override_dh_auto_test:

override_dh_auto_install:
	node-waf install --destdir=$(CURDIR)/debian/tmp/

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-mapnik.substvars \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/_mapnik.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/_mapnik.node
