=== debian/changelog ===
node-mapnik (1.2.0-1build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 23:25:12 +0000

node-mapnik (1.2.0-1) unstable; urgency=low

  * Upstream update (Closes: #723637)
  * Install files as in source tree, renders 2001 patch useless
  * copyright: small 1.0 format fixes

 -- Jérémy Lal <kapouer@melix.org>  Wed, 18 Sep 2013 22:00:17 +0200

node-mapnik (1.1.3-1) unstable; urgency=low

  * Upstream update
  * patches:
    + remove unneeded patches
    + add 2001 patch to fix path for requiring package.json
  * install package.json, needed to print version
  * copyright: update, add licenses for tests data files
  * rules: build using node-gyp
  * control:
    + losen dependency on nodejs
    + replace dependency on nodejs-dev by node-gyp
    + tighten dependency and rename libmapnik-dev >= 2.2.0~
    + build-depend on mapnik-vector-tile
    + remove unneeded dependency on node-generic-pool
    + update Homepage, Vcs fields
    + Standards-Version 3.9.4
    + hardening by dh 9
  * manpages: add mapnik-inspect.1, mapnik-render.1

 -- Jérémy Lal <kapouer@melix.org>  Thu, 29 Aug 2013 14:28:05 +0200
