=== debian/control ===
Source: node-mapnik
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , libmapnik-dev (>= 2.2.0~)
 , mapnik-vector-tile
Standards-Version: 3.9.4
Homepage: https://github.com/mapnik/node-mapnik
Vcs-Git: git://anonscm.debian.org/collab-maint/node-mapnik.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-mapnik.git

Package: node-mapnik
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Recommends:
 node-srs
 , node-zipfile
 , node-carto
Description: bindings to the Mapnik tile rendering library for Node.js
 node-mapnik provides bindings to the Mapnik tile rendering library.
 .
 Node.js is an event-based server-side javascript engine.
