=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

vector_tile_dir=$(CURDIR)/node_modules/mapnik-vector-tile/src

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	for i in mapnik-inspect mapnik-render; do \
		cp bin/$$i.js $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
		sed -i "s@#!/usr/bin/env node@#!/usr/bin/nodejs@g" $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
	done
	chmod 644 $(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/_mapnik.node

override_dh_auto_configure:
	node-gyp configure

override_dh_auto_build:
	mkdir -p $(vector_tile_dir)
	cp /usr/include/vector_tile.pb.cc $(vector_tile_dir)/
	node-gyp build

override_dh_auto_test:

override_dh_auto_install:

override_dh_clean:
	dh_clean
	rm -rf $(vector_tile_dir)

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-mapnik.substvars \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/_mapnik.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/_mapnik.node
