=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mapnik-$1.tar.gz/ \
https://github.com/mapnik/node-mapnik/tags .*/archive/v?([\d\.]+).tar.gz
