=== debian/changelog ===
node-mapnik (1.2.3-1) unstable; urgency=medium

  * Upstream update
  * Depends on mapnik-vector-tile >= 0.3.4. Closes: #738417.
  * Standards-Version 3.9.5

 -- Jérémy Lal <kapouer@melix.org>  Sun, 09 Feb 2014 19:56:09 +0100
