=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  , dh-buildinfo
  , node-gyp
  , libmapnik-dev (>= 2.2.0~)
- , mapnik-vector-tile
-Standards-Version: 3.9.4
+ , mapnik-vector-tile (>= 0.3.4~)
+Standards-Version: 3.9.5
 Homepage: https://github.com/mapnik/node-mapnik
 Vcs-Git: git://anonscm.debian.org/collab-maint/node-mapnik.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-mapnik.git
