## node-mapnik 3.5.12+dfsg

=== debian/changelog ===
node-mapnik (3.5.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme, changes:
    - Rename X-Testsuite to Testsuite
    - Update Vcs-Browser URL to use cgit instead of gitweb
  * Update Vcs-Git URL to use HTTPS.
  * Update copyright file, changes:
    - Add license & copyright for clipper.{c,h}pp
    - Add license & copyright for anchor.js
    - Drop © character from copyright statements
    - Use stand-alone license paragraphs
  * Update watch file to handle common issues.
  * Add patch to use nodejs instead of node executable.
  * Reorder (build) dependencies and add node-nan to build dependencies.
  * Add mapnik-utils to (build) dependencies for shapeindex.
  * Build-Depends node-pre-gyp.
  * Bump minimum required mapnik-vector-tile version to 1.1.2.
  * Bump minimum required libmapnik-dev version to 3.0.11.
  * Enable parallel builds.
  * Add patch to fix spelling errors.
  * Add dependency on node-pre-gyp.
  * Bump Standards-Version to 3.9.8, no changes.
  * Don't install binaries & manpages also included in mapnik-utils.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 May 2016 19:33:58 +0200

node-mapnik (3.3.0+dfsg-1) UNRELEASED; urgency=medium

  * Upstream update
  * DFSG-exclusion of natural_earth.tif
  * Depends on mapnik-vector-tile >= 0.5.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Aug 2014 23:43:53 +0200
