=== debian/control ===
Source: node-mapnik
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Jérémy Lal <kapouer@melix.org>
Section: web
Testsuite: autopkgtest
Priority: extra
Build-Depends: debhelper (>= 9~),
               dh-buildinfo,
               libmapnik-dev (>= 3.0.11~),
               libprotozero-dev (>= 1.3.0~),
               mapnik-utils,
               mapnik-vector-tile (>= 1.1.2~),
               node-gyp,
               node-mocha,
               node-nan,
               node-pre-gyp,
               node-sphericalmercator
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-mapnik.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-mapnik.git
Homepage: https://github.com/mapnik/node-mapnik

Package: node-mapnik
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mapnik-utils,
         nodejs,
         node-pre-gyp
Recommends: node-carto,
            node-srs,
            node-zipfile
Description: bindings to the Mapnik tile rendering library for Node.js
 node-mapnik provides bindings to the Mapnik tile rendering library.
 .
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Node.js is an event-based server-side javascript engine.
