=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	node-pre-gyp configure

override_dh_auto_build:
	node-pre-gyp build

override_dh_auto_install:

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_install:
	dh_install --list-missing

	dh_buildinfo

	for i in bin/*.js; do \
		cp $$i $(CURDIR)/debian/node-mapnik/usr/bin/`basename $$i .js`; \
	done

	# Don't install binaries with the same name in mapnik-utils
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-index
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-render
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-shapeindex

	chmod 644 $(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/*/mapnik.node

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-mapnik.substvars \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/*/mapnik.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/*/mapnik.node
