## node-mapnik 3.5.13+dfsg

=== debian/changelog ===
node-mapnik (3.5.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Bump minimum required libmapnik-dev version to 3.0.12.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Sep 2016 15:53:45 +0200

node-mapnik (3.5.13+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.
  * Rebuild with libmapnik-dev (3.0.12~rc1+ds-1~exp2).

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2016 12:16:59 +0200

node-mapnik (3.5.13+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required mapnik-vector-tile version to 1.2.0.
  * Bump minimum required libmapnik-dev version to 3.0.12~.
  * Add upstream metadata.
  * Add Upstream-Name & Upstream-Contact to copyright file.
  * Enable verbose pre-gyp output.
  * Add patches from upstream master branch for Mapnik 3.0.12 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Aug 2016 16:43:09 +0200
