=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: extra
 Build-Depends: debhelper (>= 9~),
                dh-buildinfo,
-               libmapnik-dev (>= 3.0.11~),
+               libmapnik-dev (>= 3.0.12),
                libprotozero-dev (>= 1.3.0~),
                mapnik-utils,
-               mapnik-vector-tile (>= 1.1.2~),
+               mapnik-vector-tile (>= 1.2.0),
                node-gyp,
                node-mocha,
                node-nan,
@@ -23,11 +23,11 @@
 
 Package: node-mapnik
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         mapnik-utils,
+Depends: mapnik-utils,
          nodejs,
-         node-pre-gyp
+         node-pre-gyp,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: node-carto,
             node-srs,
             node-zipfile
