## node-mapnik 3.5.14+dfsg

=== debian/changelog ===
node-mapnik (3.5.14+dfsg-2) unstable; urgency=medium

  * Use dh_nodejs

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 16:37:36 +0100

node-mapnik (3.5.14+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Sep 2016 10:44:11 +0200

node-mapnik (3.5.14+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required libprotozero-dev to 1.4.2.
  * Bump minimum required mapnik-vector-tile to 1.2.2.
  * Bump minimum required node-nan to 2.4.0.
  * Drop patches applied upstream, refresh remaining patches.
  * Add patch to use packaged dependencies instead of npm ones.
  * Update copyright file, changes:
    - Drop license & copyright for anchor.js, removed upstream

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Sep 2016 10:35:06 +0200
