=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Build-Depends: debhelper (>= 9~),
                dh-buildinfo,
                libmapnik-dev (>= 3.0.12),
-               libprotozero-dev (>= 1.3.0~),
+               libprotozero-dev (>= 1.4.2),
                mapnik-utils,
-               mapnik-vector-tile (>= 1.2.0),
+               mapnik-vector-tile (>= 1.2.2),
                node-gyp,
                node-mocha,
-               node-nan,
+               node-nan (>= 2.4.0),
                node-pre-gyp,
+               nodejs-dev,
                node-sphericalmercator
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-mapnik.git
