=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export V=1
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with nodejs
 
 override_dh_auto_configure:
 	node-pre-gyp configure
