=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'mapnik'"'"');"
Depends: @
