=== debian/changelog ===
node-mapnik (3.7.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix quoting in tests control file.
    (closes: #894943)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Apr 2018 18:04:09 +0200

node-mapnik (3.7.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Rebuild with Mapnik 3.0.19.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Mar 2018 10:16:28 +0100

node-mapnik (3.7.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches included upstream. Refresh remaining patches.
  * Disable SSE on non-amd64 architectures.
  * Bump minimum required mapnik-vector-tile to 1.6.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 04 Mar 2018 13:41:16 +0100

node-mapnik (3.6.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add patch to disable SSE. SSE_MATH environment variable doesn't work (yet).
    (closes: #890985)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Feb 2018 13:53:29 +0100

node-mapnik (3.6.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Update upstream-git.patch with recent changes.
  * Fix deprecated source override location.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Feb 2018 11:12:10 +0100

node-mapnik (3.6.2+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/852.patch
    - upstream build fix (Closes: #889962)
  * Tweak 852.patch to avoid test images, and patching package.json

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Feb 2018 10:20:06 +0100

node-mapnik (3.6.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Switch from nodejs to node in debian/tests/control too.
  * Update upstream-git.patch with recent changes.
  * Bump Standards-Version to 4.1.3, no changes.
  * Drop unnecessary Testsuite header.
  * Update copyright-format URL to use HTTPS.
  * Rebuild with Mapnik 3.0.18.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jan 2018 10:47:58 +0100

node-mapnik (3.6.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.1, no changes.
  * Rebuild with Mapnik 3.0.17.
  * Add patch with changes from upstream git repository.
  * Change priority from extra to optional.
  * Change section from web to javascript.
  * Drop nodejs.patch, interpreter is /usr/bin/node again.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Nov 2017 15:49:05 +0100

node-mapnik (3.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 22:54:58 +0200

node-mapnik (3.6.2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required mapnik-vector-tile to 1.4.0.
  * Bump minimum required libprotozero-dev to 1.5.1.
  * Add libmapbox-wagyu-dev to build dependencies.
  * Bump minimum required libmapnik-dev version to 3.0.15.
  * Drop license & copyright for clipper, removed upstream.
  * Refresh patches.
  * Add patch to use system mapnik-config.
  * Add patch to use packaged dependencies instead of mason.
  * Skip test target, cannot be executed.
  * Update binding path.
  * Add patch to fix postinstall script for packaged dependencies.
  * Bump Standards-Version to 4.0.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 13:52:45 +0200
