=== debian/tests/control ===
Test-Command: node -e "require('mapnik');"
Depends: @
