## node-mapnik 3.7.2+dfsg

=== debian/changelog ===
node-mapnik (3.7.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Rebuild with Mapnik 3.0.22.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jan 2019 20:44:08 +0100

node-mapnik (3.7.2+dfsg-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.

  [ Jérémy Lal ]
  * Build against libnode-dev
  * Tighten node-gyp >= 3.8.0-2
  * use dh 10 to simplify building

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Jan 2019 01:04:26 +0100

node-mapnik (3.7.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with mapnik-vector-tile 1.6.1+dfsg-6.
    (closes: #913708)
  * Add patch by Jérémy Lal to support nodejs 10 / nan 2.11.
    (closes: #911344)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Nov 2018 09:21:49 +0100

node-mapnik (3.7.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Oct 2018 19:21:48 +0200

node-mapnik (3.7.2+dfsg-2~exp1) experimental; urgency=medium

  * Team upload.
  * Rebuild with Mapnik 3.0.21.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Oct 2018 18:39:10 +0200

node-mapnik (3.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Apr 2018 19:28:58 +0200

node-mapnik (3.7.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.4, no changes.
  * Rebuild with Mapnik 3.0.20.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Apr 2018 13:32:28 +0200
