=== debian/control ===
--- 
+++ 
@@ -2,24 +2,24 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Jérémy Lal <kapouer@melix.org>
-Section: web
-Testsuite: autopkgtest
-Priority: extra
-Build-Depends: debhelper (>= 9~),
+Section: javascript
+Priority: optional
+Build-Depends: debhelper (>= 10~),
                dh-buildinfo,
-               libmapnik-dev (>= 3.0.12),
-               libprotozero-dev (>= 1.4.2),
+               libmapbox-wagyu-dev,
+               libmapnik-dev (>= 3.0.22),
+               libprotozero-dev (>= 1.5.1),
                mapnik-utils,
-               mapnik-vector-tile (>= 1.2.2),
-               node-gyp,
+               mapnik-vector-tile (>= 1.6.1+dfsg-6),
+               node-gyp (>= 3.8.0-2),
                node-mocha,
                node-nan (>= 2.4.0),
                node-pre-gyp,
-               nodejs-dev,
+               libnode-dev (>= 10~),
                node-sphericalmercator
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-mapnik.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-mapnik.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-mapnik
+Vcs-Git: https://salsa.debian.org/js-team/node-mapnik.git -b master-3.7
 Homepage: https://github.com/mapnik/node-mapnik
 
 Package: node-mapnik
