=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 endif
 
 %:
-	dh $@ --parallel --with nodejs
+	dh $@
 
 override_dh_auto_configure:
 	node-pre-gyp configure --enable_sse=$(SSE_MATH)
@@ -44,14 +44,3 @@
 
 	chmod 644 $(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node
 
-override_dh_shlibdeps:
-	dpkg-shlibdeps \
-		-T$(CURDIR)/debian/node-mapnik.substvars \
-		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node
-
-override_dh_strip:
-	strip \
-		--remove-section=.comment \
-		--remove-section=.note \
-		--strip-unneeded \
-		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node
